DeregisterSubClusters (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords, class: DeregisterSubClusters

Package org.apache.hadoop.yarn.server.api.protocolrecords

# Class DeregisterSubClusters

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.DeregisterSubClusters

@Public @Unstable public abstract class DeregisterSubClusters extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeregisterSubClusters()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract String`
  `getDeregisterState()`
  `abstract String`
  `getInformation()`
  `abstract String`
  `getLastHeartBeatTime()`
  `abstract String`
  `getSubClusterId()`
  `abstract String`
  `getSubClusterState()`
  `static DeregisterSubClusters`
  `newInstance(String subClusterId, String deregisterState, String lastHeartBeatTime, String info, String subClusterState)`
  Initialize DeregisterSubClusters.
  `abstract void`
  `setDeregisterState(String deregisterState)`
  `abstract void`
  `setInformation(String info)`
  `abstract void`
  `setLastHeartBeatTime(String lastHeartBeatTime)`
  `abstract void`
  `setSubClusterId(String subClusterId)`
  `abstract void`
  `setSubClusterState(String subClusterState)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeregisterSubClusters

    public DeregisterSubClusters()

- ## Method Details

  - ### newInstance

    public static DeregisterSubClusters newInstance(String subClusterId, String deregisterState, String lastHeartBeatTime, String info, String subClusterState)
    Initialize DeregisterSubClusters.
    Parameters:
      `subClusterId` - subCluster Id.
      `deregisterState` - deregister state, SUCCESS means deregister is successful, Failed means deregister was unsuccessful.
      `lastHeartBeatTime` - last heartbeat time.
      `info` - offline information.
      `subClusterState` - subCluster State.
    Returns:
      DeregisterSubClusters.

  - ### getSubClusterId

    @Public @Unstable public abstract String getSubClusterId()

  - ### setSubClusterId

    @Public @Unstable public abstract void setSubClusterId(String subClusterId)

  - ### getDeregisterState

    @Public @Unstable public abstract String getDeregisterState()

  - ### setDeregisterState

    @Public @Unstable public abstract void setDeregisterState(String deregisterState)

  - ### getLastHeartBeatTime

    @Public @Unstable public abstract String getLastHeartBeatTime()

  - ### setLastHeartBeatTime

    @Public @Unstable public abstract void setLastHeartBeatTime(String lastHeartBeatTime)

  - ### getInformation

    @Public @Unstable public abstract String getInformation()

  - ### setInformation

    @Public @Unstable public abstract void setInformation(String info)

  - ### getSubClusterState

    @Public @Unstable public abstract String getSubClusterState()

  - ### setSubClusterState

    @Public @Unstable public abstract void setSubClusterState(String subClusterState)